function [y,B] = Hx_cal( PSF,x )
% PSF is odd
% x is even
[m0,n0]=size(PSF);
[m,n]  =size(x);
B=padarray(PSF,[m-m0+1,n-n0+1]/2,'pre');
B=padarray(B,[m-m0-1,n-n0-1]/2,'post');
B=fftshift(B);
B=B/sum(sum(B));  %normalize
y= real(ifft2(fft2(B).*fft2(x)));
end

