function [ beta_new ] = sample_beta_Gibbs( x,z,alpha,k )
% 2014/06/24
% by N.ZHAO
% sampling the scale parameter beta of Gamma distribution
% prior is IG

theta=x(z==k);
N=numel(theta);

para1=N*alpha;
para2=sum(theta);

beta_new=1/gamrnd(para1,1/para2);
end
